Bug 57887 - Console.Error.WriteLine in System.Net.NetworkInformation
Summary: Console.Error.WriteLine in System.Net.NetworkInformation
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: Untriaged
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-06-30 16:15 UTC by Mauro Giusti
Modified: 2017-06-30 16:21 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Mauro Giusti 2017-06-30 16:15:21 UTC
/mcs/class/System/System.Net.NetworkInformation/NetworkInterface.cs

Contains the following:
Console.Error.WriteLine ("Got a bad hardware address length for an AF_PACKET {0} {1}",...

This Console.WriteLine interferes with Apache Storm that reads from the console I/O.
Comment 1 Mauro Giusti 2017-06-30 16:15:47 UTC
I will be creating a PR to remove this.
Comment 2 Mauro Giusti 2017-06-30 16:17:11 UTC
See PR https://github.com/mono/mono/pull/5159
Comment 3 Rodrigo Kumpera 2017-06-30 16:21:54 UTC
Thanks for the contribution. Merged into master.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.